在软件实现过程中，为了便于理解和使用，软件对一些功能和实现方法做了约定，这些统一约定也便于用户去理解和使用软件，具体约定如下：<br />
（1）为便于数据扩展并缩小文件规模、加快读取速度，按照用途将各类数据分别存储在不同的文件中，并根据不同的计算需求在工程文件的目录下自动创建UserData、StaticResult、EarthQuakeResult、Buckling、NLStaticResult五个文件夹以及其它一些过程文件；<br />
（2）文件名的定义：数据文件名=项目名+类型扩展名；<br />
（3）SAUSAGE软件根据上面约定生成一系列文件，主要文件说明如下：<br />
- 项目名.SSG：模型数据文件，包含了几何模型和配筋数据；<br />
- 项目名.MSG：各种命令的运行报告，文本文件；<br />
- 项目名.WRN：模型检查报告信息，文本文件；<br />
- 扩展名为BCR、BEM、COI、DEF、PAR的文件和NFORCESET.inp均为中间文件可不关注；<br />
- USERDATA文件夹：用户用到的数据文件，比如地震波文件等；<br />
- StaticResult文件夹：包含模态分析、竖向加载、最大频率计算的结果和过程文件；<br />
- EarthQuakeResult文件夹：动力时程分析计算的结果和过程文件；<br />
- Buckling文件夹：屈曲分析计算的结果和过程文件；<br />
- NLStaticResult文件夹：静力非线性分析计算的结果和过程文件；<br />
- *Bak文件夹：模型的中间备份文件。<br />
